Loading...
Searching...
No Matches
Sensor.cpp File Reference
`#include "hueplusplus/Sensor.h"`
`#include "hueplusplus/HueExceptionMacro.h"`
`#include "hueplusplus/Utils.h"`
`#include <nlohmann/json.hpp>`
Include dependency graph for Sensor.cpp:

## Namespaces

namespace | hueplusplus
| Namespace for the hueplusplus library.
namespace | hueplusplus::sensors
| Classes for specific sensor types.

## Functions

std::string | hueplusplus::alertToString (Alert alert)
| Convert alert to string form.
Alert | hueplusplus::alertFromString (const std::string &s)
| Convert string to Alert enum.
detail::ConditionHelper< bool > | hueplusplus::sensors::makeCondition (const DaylightSensor &sensor)

## Detailed Description

Copyright Notice
Copyright (C) 2020 Stefan Herbrechtsmeier - developer
This file is part of hueplusplus.

hueplusplus is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

hueplusplus is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with hueplusplus. If not, see http://www.gnu.org/licenses/.